Package org.h2gis.functions.spatial.crs

# Class ST_SetSRID

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.spatial.crs.ST_SetSRID

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_SetSRID extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
Return a new geometry with a replaced spatial reference id.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_SetSRID()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`setSRID(org.locationtech.jts.geom.Geometry geometry, Integer srid)`
Set a new SRID to the geometry

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_SetSRID

public ST_SetSRID()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### setSRID

public static org.locationtech.jts.geom.Geometry setSRID(org.locationtech.jts.geom.Geometry geometry, Integer srid) throws IllegalArgumentException
Set a new SRID to the geometry

Parameters:
  `geometry` -
  `srid` -
Returns:
Throws:
  `IllegalArgumentException`